Package icyllis.modernui.text.style

# Class AlignmentSpan.Standard

java.lang.Object
icyllis.modernui.text.style.AlignmentSpan.Standard

All Implemented Interfaces:
  `ParcelableSpan`, `AlignmentSpan`, `ParagraphStyle`, `Parcelable`

Enclosing interface:
  `AlignmentSpan`

public static class AlignmentSpan.Standard extends Object implements AlignmentSpan, ParcelableSpan

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface icyllis.modernui.text.style.AlignmentSpan

  `AlignmentSpan.Standard`

  ## Nested classes/interfaces inherited from interface icyllis.modernui.util.Parcelable

  `Parcelable.ClassLoaderCreator<T>, Parcelable.Creator<T>, Parcelable.WriteFlags`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Standard(Layout.Alignment align)`
  Constructs a `AlignmentSpan.Standard` from an alignment.
  `Standard(Parcel src)`
  Constructs a `AlignmentSpan.Standard` from a parcel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Layout.Alignment`
  `getAlignment()`
  Returns the alignment of the text.
  `int`
  `getSpanTypeId()`
  Return a special type identifier for this span class.
  `void`
  `writeToParcel(Parcel dest, int flags)`
  The subclass implements the method to flatten its contents by calling the methods of `Parcel` for its primitive values.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Standard

    public Standard(@NonNull Layout.Alignment align)
    Constructs a `AlignmentSpan.Standard` from an alignment.

  - ### Standard

    public Standard(@NonNull Parcel src)
    Constructs a `AlignmentSpan.Standard` from a parcel.

- ## Method Details

  - ### getSpanTypeId

    public int getSpanTypeId()
    Description copied from interface: `ParcelableSpan`
    Return a special type identifier for this span class.
    Specified by:
      `getSpanTypeId` in interface `ParcelableSpan`

  - ### getAlignment

    public Layout.Alignment getAlignment()
    Description copied from interface: `AlignmentSpan`
    Returns the alignment of the text.
    Specified by:
      `getAlignment` in interface `AlignmentSpan`
    Returns:
      the text alignment

  - ### writeToParcel

    public void writeToParcel(@NonNull Parcel dest, int flags)
    Description copied from interface: `Parcelable`
    The subclass implements the method to flatten its contents by calling the methods of `Parcel` for its primitive values.
    Specified by:
      `writeToParcel` in interface `Parcelable`
    Parameters:
      `dest` - the parcel to write the object's data to
      `flags` - the flags about how the object should be written